#include <bits/stdc++.h>

using namespace std;

static long long niz1[100000],niz2[100000];

int main() {
    int n, m, i, ma, mb;
    long long s=0;
    cin >> n >> m;

    for(i=0;i<n;i++)
    cin>>niz1[i];

    for(i=0;i<m;i++)
    {
        cin>>ma>>mb;
        
        ma--;
        mb--;
        
        if(niz1[ma]>0 && niz1[mb]>0)
        {
            niz2[ma]++;
            niz2[mb]++;
        }
        
        else if(niz1[ma]<0 && niz1[mb]<0)
        {
            niz2[ma]--;
            niz2[mb]--;
        }
        
        else if((niz1[ma]+niz1[mb])>0)
        {
            niz2[ma]++;
            niz2[mb]++;
        }
        
        else 
        {
            niz2[ma]--;
            niz2[mb]--;
        }
    }
    
    for(i=0;i<n;i++)
    {
        s+=niz1[i]*niz2[i];
    }
    
    cout<<s;
    

    return 0;
}